## gnustep-back 0.31.0

=== debian/changelog ===
gnustep-back (0.31.0-8) unstable; urgency=medium

  * debian/templates/control.m4 (gnustep-back`'SOV_BACK) <Breaks>: Add
    gnustep-dl2 (<< 0.12.0+git20171224-4) to assist britney.
  * debian/control: Regenerate.
  * debian/upstream/metadata: Add missing marker.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 10 Feb 2025 14:29:53 +0200

gnustep-back (0.31.0-7) unstable; urgency=medium

  * debian/patches/gpbs-ignore-SIGCHLD.patch: New; add SIGCHLD to the list
    of signals not handled by gpbs' handler function.  It is emitted by
    pclose in gnustep-base's multiarch+cross.patch which leads to gpbs'
    handler being called and it treats it as fatal for no good reason.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 07 Feb 2025 12:39:49 +0200

gnustep-back (0.31.0-6) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 08:15:51 +0200

gnustep-back (0.31.0-5) experimental; urgency=medium

  * Rebuild with the multiarch layout so backends can be loaded.
  * Run wrap-and-sort -ast.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_gui): Set to 0.31.1-7.
  * debian/templates/control.m4 (gnustep-back`'SOV_BACK)
    (gnustep-back-common): Set as Multi-Arch: foreign.
    (gnustep-back`'SOV_BACK-cairo, gnustep-back`'SOV_BACK-headless)
    (gnustep-back`'SOV_BACK-xlib): Set as Multi-Arch: same.
  * debian/control: Regenerate.
  * debian/upstream/metadata: New file.
  * debian/watch: Remove pasv option; we no longer use FTP.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 25 Jan 2025 15:18:39 +0200

gnustep-back (0.31.0-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Don't generate
    gnustep-back-common.install; its content is constant.
    (execute_before_dh_link): New target; run dh_gnustep.
  * debian/templates/gnustep-back-common.install.in: Rename as...
  * debian/gnustep-back-common.install: ...since generating it is useless.
  * debian/clean: Adjust pattern for .install files.
  * debian/tests/adequate: New test.
  * debian/tests/control (Tests): Add new test.
    (Depends): Add adequate and debhelper.
  * debian/copyright: Switch main license to LGPL-2.1+, a change made
    upstream long time ago.  Add separate stanza for files under
    HPND-sell-variant (was put with other files under the Expat license).
    Remove redundant stanzas.  Remove LGPL-2+ and LGPL-3+ license blurbs,
    add LGPL-2.1+ and the full text of the HPND-sell-variant license.
  * debian/templates/control.m4 (Depends): Tighten depends on
    gnustep-back-common.  This reverts the change made in 0.26.2-1.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 17 Aug 2024 20:49:39 +0300

gnustep-back (0.31.0-3) unstable; urgency=medium

  * debian/templates/gnustep-back-common.bug-script.in: New file; report
    the system and user backend.
  * debian/rules (override_dh_auto_configure): Add command to generate
    debian/gnustep-back-common.bug-script.
  * debian/clean: Delete the bug-script file.
  * debian/watch: Use HTTPS protocol.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 02 Jul 2024 15:17:41 +0300

gnustep-back (0.31.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 Jun 2024 15:05:18 +0300

gnustep-back (0.31.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control: Regenerate to reflect the SONAME change.
  * debian/templates/control.m4 (Build-Depends): Replace libgl1-mesa-dev
    with libgl-dev and pkg-config with pkgconf.
    (Uploaders): Change Gürkan's name to Alex.
    (Standards-Version): Bump to 4.7.0; no changes needed.
    (gnustep-back`'SOV_BACK-headless): New package.
  * debian/rules (p_headless, b_headless): New helper variables.
    (override_dh_autoconfigure): Generate .install, .links, .prerm and
    .postinst files for the headless backend.  Add configure commands.
    Do not generate gnustep-back-common.postinst; removed.
    (override_dh_auto_build): Add command to build the headless backend.
    (override_dh_auto_install): Install the headless backend.
    (override_dh_auto_clean): Delete $(b_headless).
  * debian/README.Debian: Mention the headless backend.
  * debian/tests/load_backends.m (main): Test the headless backend.
  * debian/templates/gnustep-back-common.postinst.in: Delete; was needed
    only for bullseye -> bookworm upgrades.
  * debian/clean: Remove debian/*.preinst.
  * debian/copyright-scan-patterns.yml: Delete; unused these days.
  * debian/fill.copyright.blanks.yml: Likewise.
  * debian/fix.scanned.copyright: Likewise.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 06 Jun 2024 14:35:19 +0300
