## gnustep-back 0.32.0

=== debian/changelog ===
gnustep-back (0.32.0-3) unstable; urgency=medium

  * debian/templates/gnustep-back-common.bug-script.in: Set LC_ALL=C when
    running update-alternatives.
  * debian/patches/gcc-15.patch: New; fix FTBFS with GCC 15 (#1096745).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 26 Mar 2025 00:11:03 +0200

gnustep-back (0.32.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/templates/control.m4 (Standards-Version): Claim compliance with
    4.7.2; no actual changes needed.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 28 Feb 2025 12:31:32 +0200

gnustep-back (0.32.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/rules (v_gui): Define back to $(v_back).
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/patches/gpbs-ignore-SIGCHLD.patch: Refresh.
  * debian/copyright: Add general comment about outdated license notices
    not matching the actual license.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Feb 2025 20:21:11 +0200
