=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libfontconfig-dev,
  libfreetype-dev,
  libgl-dev,
- libgnustep-gui-dev (>= 0.31.1-7),
+ libgnustep-gui-dev (>= 0.32.0),
  libice-dev,
  libxcursor-dev,
  libxext-dev,
@@ -25,16 +25,16 @@
  pkgconf,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-back
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-back.git
 Homepage: http://gnustep.org
 
-Package: gnustep-back0.31
+Package: gnustep-back0.32
 Architecture: all
 Multi-Arch: foreign
 Depends:
- gnustep-back0.31-cairo | gnustep-back0.31-alt,
+ gnustep-back0.32-cairo | gnustep-back0.32-alt,
  ${misc:Depends},
 Suggests:
  fonts-dejavu | fonts-urw-base35,
@@ -52,7 +52,7 @@
  .
  This is an empty package that depends on the various backends.
 
-Package: gnustep-back0.31-cairo
+Package: gnustep-back0.32-cairo
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -60,7 +60,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
- gnustep-back0.31-alt,
+ gnustep-back0.32-alt,
 Description: GNUstep GUI Backend (cairo)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -71,7 +71,7 @@
  .
  This package provides the cairo backend.
 
-Package: gnustep-back0.31-headless
+Package: gnustep-back0.32-headless
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -79,7 +79,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
- gnustep-back0.31-alt,
+ gnustep-back0.32-alt,
 Description: GNUstep GUI Backend (headless)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -91,7 +91,7 @@
  This package provides the headless backend which is suitable only for
  testing purposes.
 
-Package: gnustep-back0.31-xlib
+Package: gnustep-back0.32-xlib
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -99,7 +99,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
- gnustep-back0.31-alt,
+ gnustep-back0.32-alt,
 Description: GNUstep GUI Backend (xlib)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
