=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 ifv_back := $(shell . ./Version; echo $$INTERFACE_VERSION_NUMBER)
 
 # GNUstep GUI version:
-#v_gui := $(v_back)
-v_gui := 0.31.1-7
+v_gui := $(v_back)
 
 # GNUstep GUI SONAME version:
 sov_gui := $(sov_back)
