=== debian/tests/control ===
Tests:
 adequate file-tests,
Restrictions:
 allow-stderr,
Depends:
 debhelper,
 adequate,
 libgnustep-base-dev,
 @,
